{
  "format_version": "1.10.0",
  "minecraft:entity": {
    "description": {
      "identifier": "eg:prothand",
      "is_spawnable": true,
      "is_summonable": true,
      "is_experimental": false
    },
    "components": {
      "minecraft:type_family": {
        "family": []
      },
      "minecraft:health": {
        "value": 10,
        "max": 10
      },
      "minecraft:navigation.walk": {},
      "minecraft:movement.basic": {},
      "minecraft:movement": {
        "value": 0,
        "max": 0
      },
      "minecraft:knockback_resistance": {
        "value": 100.0,
        "max": 100.0
      },
      "minecraft:push_through": {
        "value": 1
      },
      "minecraft:item_controllable": {
        "control_items": "diamond_hoe"
      },
      "minecraft:behavior.controlled_by_player": {
        "priority": 0
      },
      "minecraft:physics": {},
      "minecraft:fall_damage": {
        "value": 0
      },
      "minecraft:scale": {
        "value": 1
      },
      "minecraft:experience_reward": {
        "on_death": "query.last_hit_by_player ? 0 : 0"
      },
      "minecraft:underwater_movement": {
        "value": 0.02
      },
      "minecraft:nameable": {
        "alwaysShow": true,
        "allowNameTagRenaming": true
      }
    },
    "minecraft:loot": {
      "table": "loot_tables/empty.json"
    },
    "minecraft:collision_box": {
      "width": 0.5,
      "height": 0.5
    },
    "events": {
      "on:death": {
        "run_command": {
          "command": []
        }
      },
      "on:hurt": {
        "run_command": {
          "command": []
        }
      },
      "on:hurt_by_player": {
        "run_command": {
          "command": []
        }
      },
      "on:ignite": {
        "run_command": {
          "command": []
        }
      },
      "on:target_acquired": {
        "run_command": {
          "command": []
        }
      },
      "on:target_escape": {
        "run_command": {
          "command": []
        }
      },
      "on:wake_with_owner": {
        "run_command": {
          "command": []
        }
      }
    }
  }
}